Package org.eclipse.net4j.util.om.log

# Class RollingLog.SplitEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent
org.eclipse.net4j.util.om.log.RollingLog.SplitEvent

All Implemented Interfaces:
  `Serializable`, `IEvent`

Enclosing class:
  `RollingLog`

public static final class RollingLog.SplitEvent extends RollingLog.RollingLogEvent

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SplitEvent(RollingLog rollingLog, File lastFile, int lastFileNumber)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`formatAdditionalParameters()`
`File`
`getLastFile()`
`int`
`getLastFileNumber()`

### Methods inherited from class org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent

`getSource`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SplitEvent

public SplitEvent(RollingLog rollingLog, File lastFile, int lastFileNumber)

## Method Details

### getLastFile

public File getLastFile()

### getLastFileNumber

public int getLastFileNumber()

### formatAdditionalParameters

protected String formatAdditionalParameters()

Overrides:
  `formatAdditionalParameters` in class `Event`